# GstAudio

This library contains some helper functions for audio elements.

## Function Macros

### GST_CLOCK_TIME_TO_FRAMES

    #define GST_CLOCK_TIME_TO_FRAMES(clocktime, rate) \
      gst_util_uint64_scale_round (clocktime, rate, GST_SECOND)

Calculate frames from clocktime and sample rate.

Parameters:

`clocktime` –

clock time

`rate` –

sampling rate

### GST_FRAMES_TO_CLOCK_TIME

    #define GST_FRAMES_TO_CLOCK_TIME(frames, rate) \
      ((GstClockTime) gst_util_uint64_scale_round (frames, GST_SECOND, rate))

Calculate clocktime from sample frames and rate.

Parameters:

`frames` –

sample frames

`rate` –

sampling rate

## Constants

### GST_META_TAG_AUDIO_CHANNELS_STR

    #define GST_META_TAG_AUDIO_CHANNELS_STR "channels"

This metadata stays relevant as long as channels are unchanged.

Since : 1.2

### GstAudio.META_TAG_AUDIO_CHANNELS_STR

This metadata stays relevant as long as channels are unchanged.

Since : 1.2

### GstAudio.META_TAG_AUDIO_CHANNELS_STR

This metadata stays relevant as long as channels are unchanged.

Since : 1.2

### GST_META_TAG_AUDIO_RATE_STR

    #define GST_META_TAG_AUDIO_RATE_STR "rate"

This metadata stays relevant as long as sample rate is unchanged.

Since : 1.8

### GstAudio.META_TAG_AUDIO_RATE_STR

This metadata stays relevant as long as sample rate is unchanged.

Since : 1.8

### GstAudio.META_TAG_AUDIO_RATE_STR

This metadata stays relevant as long as sample rate is unchanged.

Since : 1.8

### GST_META_TAG_AUDIO_STR

    #define GST_META_TAG_AUDIO_STR "audio"

This metadata is relevant for audio streams.

Since : 1.2

### GstAudio.META_TAG_AUDIO_STR

This metadata is relevant for audio streams.

Since : 1.2

### GstAudio.META_TAG_AUDIO_STR

This metadata is relevant for audio streams.

Since : 1.2

The results of the search are